package com.ffii.fpsms.modules.deliveryOrder.entity

import com.ffii.core.support.AbstractRepository
import com.ffii.fpsms.modules.deliveryOrder.entity.models.DeliveryOrderInfo
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface DeliveryOrderRepository : AbstractRepository<DeliveryOrder, Long> {
    fun findTopByM18DataLogIdAndDeletedIsFalseOrderByModifiedDesc(m18datalogId: Serializable): DeliveryOrder?

    fun findDeliveryOrderInfoByDeletedIsFalse(): List<DeliveryOrderInfo>

    fun findByIdAndDeletedIsFalse(id: Serializable): DeliveryOrder?
}